package com.ningdatech.pmapi.performance.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/07/26 15:05
 */
@ApiModel(value = "ProjectCoreBusinessDTO对象", description = "")
@Data
public class ProjectCoreBusinessDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("核心业务ID")
    private Long id;

    @ApiModelProperty("核心业务")
    private String coreBusiness;

    @ApiModelProperty("业务指标分值")
    private BigDecimal score;

    @ApiModelProperty("业务指标名称")
    private String businessIndicatorName;

    @ApiModelProperty("业务指标描述")
    private String businessIndicatorDescription;

    @ApiModelProperty("指标设计依据")
    private String indexDesignBasis;

    @ApiModelProperty("指标计算方法")
    private String indexCalculationMethod;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("项目编号")
    private String projectCode;
}
